Subject: Re: [net-next 10/14] net/mlx5: Let user configure io_eq_size param

From: Gal Pressman <[email-masked]>
Date: Wed, 27 Oct 2021 09:16:41 +0300

On 26/10/2021 20:16, Jakub Kicinski wrote:
> On Tue, 26 Oct 2021 15:54:28 +0000 Saeed Mahameed wrote:
>> On Tue, 2021-10-26 at 08:05 -0700, Jakub Kicinski wrote:
>>> On Mon, 25 Oct 2021 13:54:27 -0700 Saeed Mahameed wrote:  
>>>> From: Shay Drory <[email-masked]>
>>>>
>>>> Currently, each I/O EQ is taking 128KB of memory. This size
>>>> is not needed in all use cases, and is critical with large scale.
>>>> Hence, allow user to configure the size of I/O EQs.
>>>>
>>>> For example, to reduce I/O EQ size to 64, execute:
>>>> $ devlink resource set pci/0000:00:0b.0 path /io_eq_size/ size 64
>>>> $ devlink dev reload pci/0000:00:0b.0  
>>> This sort of config is needed by more drivers,
>>> we need a standard way of configuring this.
>> We had a debate internally about the same thing, Jiri and I thought
>> that EQ might be a ConnectX only thing (maybe some other vendors have
>> it) but it is not really popular
> I thought it's a RDMA thing. At least according to grep there's 
> a handful of non-MLX drivers which have eqs. Are these not actual
> event queues? (huawei/hinic, ibm/ehea, microsoft/mana, qlogic/qed)

These are indeed event queues in RDMA, but it's more of an
implementation detail in each driver, there's no EQ object definition in
the IB spec AFAIK.